### Method

# Meta ShadowFactory get_shadow

#### Declaration [src]

    MetaShadow*
    meta_shadow_factory_get_shadow (
      MetaShadowFactory* factory,
      MetaWindowShape* shape,
      int width,
      int height,
      const char* class_name,
      gboolean focused
    )

#### Description [src]

Gets the appropriate shadow object for drawing shadows for the specified window shape. The region that we are shadowing is specified as a combination of a size-invariant extracted shape and the size. In some cases, the same shadow object can be shared between sizes; in other cases a different shadow object is used for each size.

#### Parameters

`shape`

  Type: `MetaWindowShape`

  The size-invariant shape of the window’s region.

  The data is owned by the caller of the method.

`width`

  Type: `int`

  The actual width of the window’s region.

`height`

  Type: `int`

  The actual height of the window’s region.

`class_name`

  Type: `const char*`

  Name of the class of window shadows.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`focused`

  Type: `gboolean`

  Whether the shadow is for a focused window.

#### Return value

Type: `MetaShadow`

A newly referenced `MetaShadow`; unref with meta_shadow_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.